<h1 mat-dialog-title>Chercher votre trajet</h1>

<div mat-dialog-content>

  <form [formGroup]="rideForm">
    <div class="ligne">

      <mat-form-field>
        <mat-label>Partir de</mat-label>
        <mat-select formControlName="leavingFrom">
          <mat-option value="paris">Paris</mat-option>
          <mat-option value="lyon">Lyon</mat-option>
          <mat-option value="marseille">Marseille</mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Aller à</mat-label>
        <mat-select formControlName="goingTo">
          <mat-option value="paris">Paris</mat-option>
          <mat-option value="lyon">Lyon</mat-option>
          <mat-option value="marseille">Marseille</mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Départ le</mat-label>
        <input formControlName="date" [min]="minDate" matInput [matDatepicker]="picker">
        <mat-hint>JJ/MM/AAAA</mat-hint>
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>

    </div>
  </form>

  <div class="ligne center">
    <button mat-raised-button color="primary" (click)="searchRide()" [disabled]="rideForm.status !== 'VALID'">
      Rechercher
    </button>
  </div>

</div>


<div class="table-wrapper" *ngIf="dataSource">
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

      <!-- LeavingFrom Column -->
      <ng-container matColumnDef="leavingFrom">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Partir de </th>
        <td mat-cell *matCellDef="let row"> {{row.leavingFrom}} </td>
      </ng-container>

      <!-- GoingTo Column -->
      <ng-container matColumnDef="goingTo">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Aller à </th>
        <td mat-cell *matCellDef="let row"> {{row.goingTo}} </td>
      </ng-container>

      <!-- Date Column -->
      <ng-container matColumnDef="date">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Date </th>
        <td mat-cell *matCellDef="let row"> {{row.date | date: 'dd/MM/yyyy'}} </td>
      </ng-container>

      <!-- Time Column -->
      <ng-container matColumnDef="time">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Heure de départ </th>
        <td mat-cell *matCellDef="let row"> {{row.date | date: 'HH:mm'}} </td>
      </ng-container>

      <!-- Price Column -->
      <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Prix </th>
        <td mat-cell *matCellDef="let row"> {{row.price | currency:'EUR'}} </td>
      </ng-container>

      <!-- Action Column -->
      <ng-container matColumnDef="book">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{ actionBtn }} </th>
        <td mat-cell *matCellDef="let row">
          <button mat-icon-button color="primary" [title]="(actionBtn =='Réserver')?'Réserver':'Modifier'"
                  (click)="bookRide(row)">
            <mat-icon *ngIf="actionBtn == 'Réserver'">add</mat-icon>
            <mat-icon *ngIf="actionBtn == 'Modifier'">check</mat-icon>
          </button>
        </td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">Aucune donnée correspondant à votre recherche </td>
      </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>
</div>


<mat-dialog-actions align="end">
  <button mat-raised-button mat-dialog-close color="warn">Close</button>
</mat-dialog-actions>
